#pragma once

#include <esp_http_server.h>

#define WIFI_CONNECTED_BIT BIT0
#define WIFI_FAIL_BIT BIT1
#define HTML_RESPONSE_SIZE 1024U
#define METRIC_NAME_MAX_SIZE 256U
#define METRIC_MAX_COUNT 64U

typedef struct _metric
{
    char caMetricName[METRIC_NAME_MAX_SIZE];
    float fMetricValue;
} sMetric;

void initMetrics(void);
void vSetMetrics(sMetric *paMetrics, uint16_t u16Size);